#include <iostream>
#include "parser.hpp"

int main(int argc, char* argv[]) {
    std::string line;
    math_parser_impl impl(argc, argv);
    math_parser parser(impl);

    std::cout << "> ";
    while (getline(std::cin, line)) {
        if (line == "q")
            return 0;

        parser.parse(line);
        std::cout << "> ";
    }

    return 0;
}
